Name:           shapelib
Version:        1.5.0
Release:        2
Summary:        A Shapefile C Library
License:        (LGPLv2+ or MIT) and GPLv2+ and Public Domain
URL:            http://shapelib.maptools.org/
Source0:        http://download.osgeo.org/shapelib/%{name}-%{version}.tar.gz
Source1:        https://salsa.debian.org/debian-gis-team/shapelib/-/archive/master/shapelib-master.tar.gz

Patch0:         CVE-2022-0699.patch

BuildRequires:  automake autoconf libtool gcc-c++ make
BuildRequires:  rubygem-ronn-ng

Provides:       %{name}-tools = %{version}-%{release}
Obsoletes:      %{name}-tools < %{version}-%{release}

%description
The Shapefile C Library provides the ability to write simple C
programs for reading, writing and updating (to a limited extent) ESRI
Shapefiles, and the associated attribute file (.dbf). This package
also contains various utility programs for using shapelib.

%package devel
Summary:        Development files for shapelib

Requires:       %{name} = %{version}-%{release}

%description devel
The shapelib-devel package contains development files for applications
that use shapelib.

%package help
Summary:        Documents for shapelib

%description help
The shape-lib-help package contains related documents.

%prep
%autosetup -n %{name}-%{version} -a1 -p1

%build
autoreconf -ifv
tar --strip-components=2 -xvf %{SOURCE1} shapelib-master/debian/man
%configure --disable-static
%make_build

%install
%make_install

%delete_la

ronn -r --date="$(LC_ALL=C date -u "+%Y-%m-%d")" --manual=%{name} man/*.md
install -d %{buildroot}%{_mandir}/man1/
install -pm 0644 man/*.1 %{buildroot}%{_mandir}/man1/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%{_bindir}/*
%{_libdir}/libshp.so.2*

%files devel
%{_includedir}/shapefil.h
%{_libdir}/libshp.so
%{_libdir}/pkgconfig/%{name}.pc

%files help
%doc README README.tree ChangeLog web/*.html
%doc contrib/doc/
%{_mandir}/man1/*.1*

%changelog
* Wed Aug 17 2022 luopihui <luopihui@ncti-gba.cn> - 1.5.0-2
- Fix CVE-2022-0699

* Tue Feb 15 2022 xu_ping <xuping33@huawei.com> - 1.5.0-1
- Upgrage 1.5.0

* Fri Feb 07 2020 huanghaitao <huanghaitao8@huawei.com> - 1.4.1-9
- Swith rubygem-ronn-ng to drop rubygem-ronn

* Fri Feb 14 2020 gulining<gulining1@huawei.com> - 1.4.1-8
- Package init
